package com.chinaitop.depot.intelligent.fumigation.mapper;

import com.chinaitop.depot.intelligent.fumigation.model.TFumigationProcess;
import com.chinaitop.depot.intelligent.fumigation.model.TFumigationProcessExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface TFumigationProcessMapper {
    int countByExample(TFumigationProcessExample example);

    int deleteByExample(TFumigationProcessExample example);

    int deleteByPrimaryKey(String id);

    int insert(TFumigationProcess record);

    int insertSelective(TFumigationProcess record);

    List<TFumigationProcess> selectByExample(TFumigationProcessExample example);

    TFumigationProcess selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TFumigationProcess record, @Param("example") TFumigationProcessExample example);

    int updateByExample(@Param("record") TFumigationProcess record, @Param("example") TFumigationProcessExample example);

    int updateByPrimaryKeySelective(TFumigationProcess record);

    int updateByPrimaryKey(TFumigationProcess record);

    List<Map<String,Object>> getPesticideProcessList(Map<String, Object> map);

    void insertBatch(List<TFumigationProcess> fumigations);
}